Package org.opensaml.saml.saml2.assertion.messaging

# Class BasicNetworkInformationSupplier

java.lang.Object
org.opensaml.saml.saml2.assertion.messaging.BasicNetworkInformationSupplier

All Implemented Interfaces:
  `AssertionValidationNetworkInformationSupplier`

public class BasicNetworkInformationSupplier extends Object implements AssertionValidationNetworkInformationSupplier
Basic property-based implementation of `AssertionValidationNetworkInformationSupplier`.

## Field Summary

Fields
Modifier and Type
Field
Description
`(package private) X509Certificate`
`attesterCertificate`
The attesting party's certificate.
`(package private) String`
`attesterIPAddress`
The attesting party's IP address.
`(package private) String`
`receiverEndpointURI`
The endpoint URI at which the assertion for validation was received.

## Constructor Summary

Constructors
Constructor
Description
`BasicNetworkInformationSupplier()`

## Method Summary

Modifier and Type
Method
Description
`X509Certificate`
`getAttesterCertificate()`
The X.509 certificate presented by the attesting party, may be null.
`String`
`getAttesterIPAddress()`
The attesting party's IP address, may be null.
`String`
`getReceiverEndpointURI()`
The endpoint URI at which the assertion being validated was received, may be null.
`void`
`setAttesterCertificate(X509Certificate certificate)`
Set the attesting party's certificate.
`void`
`setAttesterIPAddress(String address)`
Set the attesting party's IP address.
`void`
`setReceiverEndpointURI(String endpointURI)`
Set the endpoint URI at which the assertion being validated was received.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### attesterCertificate

@Nullable X509Certificate attesterCertificate
The attesting party's certificate.

### attesterIPAddress

@Nullable String attesterIPAddress
The attesting party's IP address.

### receiverEndpointURI

@Nullable String receiverEndpointURI
The endpoint URI at which the assertion for validation was received.

## Constructor Details

### BasicNetworkInformationSupplier

public BasicNetworkInformationSupplier()

## Method Details

### getAttesterCertificate

@Nullable public X509Certificate getAttesterCertificate()
The X.509 certificate presented by the attesting party, may be null.

Specified by:
  `getAttesterCertificate` in interface `AssertionValidationNetworkInformationSupplier`
Returns:
  the attesting party's certificate, or null

### getAttesterIPAddress

@Nullable public String getAttesterIPAddress()
The attesting party's IP address, may be null.

For IPv6 addresses this should be in "sanitized" form, without enclosing square brackets.

Specified by:
  `getAttesterIPAddress` in interface `AssertionValidationNetworkInformationSupplier`
Returns:
  the attesting party's IP address, or null if not known

### getReceiverEndpointURI

@Nullable public String getReceiverEndpointURI()
The endpoint URI at which the assertion being validated was received, may be null.

Specified by:
  `getReceiverEndpointURI` in interface `AssertionValidationNetworkInformationSupplier`
Returns:
  the endpoint URI, or null if not applicable

### setAttesterCertificate

public void setAttesterCertificate(@Nullable X509Certificate certificate)
Set the attesting party's certificate.

Parameters:
  `certificate` - the attesting party's certificate

### setAttesterIPAddress

public void setAttesterIPAddress(@Nullable String address)
Set the attesting party's IP address.

Parameters:
  `address` - the attesting party's IP address

### setReceiverEndpointURI

public void setReceiverEndpointURI(@Nullable String endpointURI)
Set the endpoint URI at which the assertion being validated was received.

Parameters:
  `endpointURI` - the endpoint URI